<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Aguia Design</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="theme-color" content="#333646">

    <!-- Primary Meta Tags -->
    <meta name="title" content="Aguia Design System">
    <meta name="description" content="A simple responsive framework that offers a starting point with which you don't need to fight with the unnecessary default styles of other frameworks. With which you can organize your code using the ABEM methodology that you can customize as never before.">

    <!-- Open Graph / Facebook -->
    <meta property="og:type" content="website">
    <meta property="og:url" content="https://aguia-design.netlify.app/">
    <meta property="og:title" content="Aguia Design System">
    <meta property="og:description" content="A simple responsive framework that offers a starting point with which you don't need to fight with the unnecessary default styles of other frameworks. With which you can organize your code using the ABEM methodology that you can customize as never before.">
    <meta property="og:image" content="https://aguia-design.netlify.app/assets/card.png">

    <!-- Twitter -->
    <meta property="twitter:card" content="summary_large_image">
    <meta property="twitter:url" content="https://aguia-design.netlify.app/">
    <meta property="twitter:title" content="Aguia Design System">
    <meta property="twitter:description" content="A simple responsive framework that offers a starting point with which you don't need to fight with the unnecessary default styles of other frameworks. With which you can organize your code using the ABEM methodology that you can customize as never before.">
    <meta property="twitter:image" content="https://aguia-design.netlify.app/assets/card.png">

    <link rel="icon" href="assets/favicon.ico">
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/modern-normalize/0.6.0/modern-normalize.min.css"/>
    <link rel="stylesheet" href="assets/aguia-zip/assets/css/aguia.min.css">
    <link rel="stylesheet" href="assets/css/index.css">
    <link href="https://fonts.googleapis.com/css2?family=Noto+Sans:ital,wght@0,400;0,700;1,400;1,700&display=swap"
          rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Roboto+Mono&display=swap" rel="stylesheet">
</head>
<body>
<div id="app">
    <o-header></o-header>
    <o-hero></o-hero>
    <o-targets></o-targets>
    <div id="layout" class="-mb-7 -md-mb-15">
        <header class="m-header -container -mb-4">
            <p class="a-header__abstract">THE LAYOUT</p>
        </header>
        <o-no-gutter></o-no-gutter>
    </div>
    <div id="responsive" class="-mb-7 -md-mb-15">
        <header class="m-header -container -mb-4">
            <p class="a-header__abstract">THE RESPONSIVE</p>
        </header>
        <o-breakpoints></o-breakpoints>
    </div>
    <div id="modifiers" class="-mb-7 -md-mb-15">
        <header class="m-header -container -mb-4">
            <p class="a-header__abstract">THE MODIFIERS</p>
            <p class="a-header__description -col-12 -lg-col-9">Aguia has a lot of simple classes ready to use.
                This classes work as helpers to make the responsive a lite easier.
                <br/>Sometimes it's better to use a utility class than create a whole new class just to float an element.
            </p>
        </header>
        <o-wrap></o-wrap>
        <o-gutter></o-gutter>
        <o-gap-wrap></o-gap-wrap>
        <o-text></o-text>
        <o-flex-modifiers></o-flex-modifiers>
        <div class="o-other-modifiers -container">
            <header class="m-header -col-12 -mb-2">
                <h2 class="a-header__tile">More modifiers</h2>
                <p class="a-header__description -col-12 -lg-col-9">
                    In addition to the modifiers displayed, you can also use other basic modifiers that make responsive easier.
                </p>
            </header>
            <div class="m-text__wrapper">
                <p class="a-flex-modifiers__text">Float modifiers:</p>
                <ul class="m-flex-modifiers__list -list-code">
                    <li class="a-list__item"><b>To float left:</b> -pull</li>
                    <li class="a-list__item"><b>To float right:</b> -push</li>
                    <li class="a-list__item"><b>To clear float row:</b> -clear</li>
                </ul>
            </div>
            <div class="m-text__wrapper">
                <p class="a-flex-modifiers__text">Position modifiers:</p>
                <ul class="m-flex-modifiers__list -list-code">
                    <li class="a-list__item"><b>To position static:</b> -position-static</li>
                    <li class="a-list__item"><b>To position relative:</b> -position-relative</li>
                    <li class="a-list__item"><b>To position fixed:</b> -position-fixed</li>
                    <li class="a-list__item"><b>To position absolute:</b> -position-absolute</li>
                    <li class="a-list__item"><b>To position sticky:</b> -position-sticky</li>
                </ul>
            </div>
            <div class="m-text__wrapper">
                <p class="a-flex-modifiers__text">Padding:</p>
                <ul class="m-flex-modifiers__list -list-code">
                    <li class="a-list__item"><b>To padding:</b> -p-n</li>
                    <li class="a-list__item"><b>To padding top:</b> -pt-n</li>
                    <li class="a-list__item"><b>To padding bottom:</b> -pb-n</li>
                    <li class="a-list__item"><b>To padding left:</b> -pl-n</li>
                    <li class="a-list__item"><b>To padding right:</b> -pr-n</li>
                </ul>
                <p class="a-flex-modifiers__text">Margin:</p>
                <ul class="m-flex-modifiers__list -list-code">
                    <li class="a-list__item"><b>To margin:</b> -m-n</li>
                    <li class="a-list__item"><b>To margin top:</b> -mt-n</li>
                    <li class="a-list__item"><b>To margin bottom:</b> -mb-n</li>
                    <li class="a-list__item"><b>To margin left:</b> -ml-n</li>
                    <li class="a-list__item"><b>To margin right:</b> -mr-n</li>
                </ul>
                <p class="a-flex-modifiers__text">
                    Padding and margin modifiers modify their property with a default size of <b>.75rem * n</b>.<br/> Where n is a number from 0 to twice the grid columns.
                </p>
            </div>
        </div>
    </div>
    <o-footer></o-footer>
</div>
</body>
<!-- Place this tag in your head or just before your close body tag. -->
<script async defer src="https://buttons.github.io/buttons.js"></script>
<script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.15.2/axios.js"></script>
<script src="https://cdn.jsdelivr.net/npm/vue@2.6.11"></script>
<script src="components/o-header.js"></script>
<script src="components/o-hero.js"></script>
<script src="components/o-targets.js"></script>
<script src="components/o-no-gutter.js"></script>
<script src="components/o-breakpoints.js"></script>
<script src="components/o-wrap.js"></script>
<script src="components/o-gutter.js"></script>
<script src="components/o-gap-wrap.js"></script>
<script src="components/o-text.js"></script>
<script src="components/o-flex-modifiers.js"></script>
<script src="components/o-footer.js"></script>
<script src="main.js"></script>
</html>
